## s6-rc-tools 1.0.0

=== Makefile ===
V=0.4

PREFIX ?= /usr
SYSCONFDIR = /etc
RUNDIR = /run
BINDIR = $(PREFIX)/bin
S6DIR = $(SYSCONFDIR)/s6

CONTRIB = script/s6-db-reload script/s6-service script/s6-status
DBCONF = data/s6-db-reload.conf

DMODE = -dm0755
EMODE = -m0755
MODE = -m0644
RM = rm -f
M4 = m4 -P --define=m4_s6_contrib_version=$V
CHMODAW = chmod a-w
CHMODX = chmod +x

all: $(CONTRIB)

EDIT = sed \
	-e "s|@sysconfdir[@]|$(DESTDIR)$(SYSCONFDIR)|g" \
	-e "s|@rundir[@]|$(DESTDIR)$(RUNDIR)|g"

%: %.in Makefile
	@echo "GEN $@"
	@$(RM) "$@"
	@{ echo -n 'm4_changequote([[[,]]])'; cat $@.in; } | $(M4) | $(EDIT) >$@
	@$(CHMODAW) "$@"
	@$(CHMODX) "$@"
	@bash -O extglob -n "$@"

clean:
	rm -f $(CONTRIB)

install:
	install $(DMODE) $(DESTDIR)$(S6DIR)
	install $(MODE) $(DBCONF) $(DESTDIR)$(S6DIR)

	install $(DMODE) $(DESTDIR)$(BINDIR)
	install $(EMODE) $(CONTRIB) $(DESTDIR)$(BINDIR)

.PHONY: install

## s6-rc-tools 0.0.1

=== debian/changelog ===
s6-rc-tools (0.0.1-0experimental1) UNRELEASED; urgency=medium

  * Original release. Ported from Artix & customised for antiX/init-diversity.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 26 Apr 2025 22:22:22 +1000

=== debian/control ===
Source: s6-rc-tools
Section: init-diversity
Priority: optional
Maintainer: ProwlerGr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
Standards-Version: 4.6.2
Homepage: https://gitlab.com/init-diversity/s6-rc/s6-rc-tools
Vcs-Browser: https://gitlab.com/init-diversity/s6-rc/s6-rc-tools
Vcs-Git: https://gitlab.com/init-diversity/s6-rc/s6-rc-tools.git

Package: s6-rc-tools
Section: init-diversity
Architecture: all
Depends:
 execline (>= 2.9.4.0),
 s6 (>= 2.12.0.0),
 s6-rc (>= 0.5.4.2),
 s6-linux-init (>= 1.1.2.0),
 s6-linux-utils (>= 2.6.2.0),
 s6-portable-utils (>= 2.3.0.0),
Recommends:
 s6-rc-init-diverstity (>= 0.0.1) | s6-rc-init (>= 0.0.1),
 s6-rc-service-boot-module (>= 0.0.1),
 s6-rc-dialogbox-manager (>= 0.0.1),
Provides:
 s6-db-reload,
Replaces:
 s6-rc-services,
Conflicts:
 s6-rc-services (<< 0.0.1),
 s6-rc-service-manager (<< 0.0.1)
Description: A collection of essential scripts to automate the s6-rc database compilation.
 Installs & configures a collection of scripts - most importantly s6-db-reload - which largely
 automates the compilation process of s6-rc managed services.

## s6-rc-tools 1.0.0

=== debian/changelog ===
s6-rc-tools (1.0.0-0experimental1.0antix2) unstable; urgency=medium

  * add depends on s6-rc-init-antix

 -- anticapitalista <antix@operamail.com>  Tue, 07 Oct 2025 15:17:51 +0300

s6-rc-tools (1.0.0-0experimental1.0antix1) unstable; urgency=medium

  * Original release. Ported from Artix & customised for antiX/init-diversity.
  *  antiX build - thanks ProwlerGR

 -- anticapitalista <antix@operamail.com>  Sun, 24 Aug 2025 17:01:04 +0300

=== debian/control ===
--- 
+++ 
@@ -22,17 +22,20 @@
  s6-linux-utils (>= 2.6.2.0),
  s6-portable-utils (>= 2.3.0.0),
 Recommends:
- s6-rc-init-diverstity (>= 0.0.1) | s6-rc-init (>= 0.0.1),
+ s6-rc-init-antix | s6-rc-init-diverstity (>= 0.0.2) | s6-rc-init (>= 0.0.2),
  s6-rc-service-boot-module (>= 0.0.1),
- s6-rc-dialogbox-manager (>= 0.0.1),
+ s6-rc-dialogbox-manager (>= 0.0.2),
+ s6-rc-service-scandir (>= 0.0.1),
+ s6-rc-service-user (>= 0.0.1),
 Provides:
  s6-db-reload,
+Breaks:
+ s6-rc-services (<< 0.2.0),
 Replaces:
- s6-rc-services,
+ s6-rc-services (<< 0.2.0),
 Conflicts:
- s6-rc-services (<< 0.0.1),
- s6-rc-service-manager (<< 0.0.1)
+ s6-rc-services (<< 0.2.0),
+ s6-rc-service-manager (<< 0.0.2)
 Description: A collection of essential scripts to automate the s6-rc database compilation.
  Installs & configures a collection of scripts - most importantly s6-db-reload - which largely
  automates the compilation process of s6-rc managed services.
-

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@
	
override_dh_clean:
	if test -e README.md; then rm -rf README.md; fi
	if test -e config.mak; then rm -rf config.mak; fi
	dh_clean

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_install:
	dh_install
	# Move config file's path for a "neater" structure
	mv  $(CURDIR)/debian/s6-rc-tools/etc/s6/s6-db-reload.conf  $(CURDIR)/debian/s6-rc-tools/etc/s6-rc/config/s6-db-reload.conf
	rm -rf $(CURDIR)/debian/s6-rc-tools/etc/s6

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
       https://gitea.artixlinux.org/artix/s6-contrib/tags \
       (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
